{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"b222ff8e7359fb9a2896fc8922336dfe729fa3af","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-17.0.1.tgz","fileCount":6,"integrity":"sha512-F88Tp+lNpCbuRGNNWnj36S5XFEjK4jgee+RwY3tq03XGzWKOCd+ZgKAayUvNwr6baMqz7lfUHKHJMozCoiBbhQ==","signatures":[{"sig":"MEYCIQCFxPmo1qFVyVowRw46gPEeQSy56BBHHdfcLqzB3W00owIhAKikIz1N5GS4CPh266eAsgBaqrr4TAmVZ1z05MHqzgEO","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":213053},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"452aa62ecd724cac95ff86293442943a90e68665","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.19.0","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_17.0.1_1788024553346_0.14049817944365683","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@17.0.1","version":"17.0.1"}